Bug 436663 - TB39976db0 system-install-packages:320:_apply:TypeError: could not convert string
Summary: TB39976db0 system-install-packages:320:_apply:TypeError: could not convert st...
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: 8
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-08 21:49 UTC by David Filiatrault
Modified: 2008-05-28 19:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 19:40:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Filiatrault 2008-03-08 21:49:28 UTC
Description of problem:
Component: pirut
Summary: TB39976db0 system-install-packages:320:_apply:TypeError: could not
convert string

Traceback (most recent call last):
  File "/usr/sbin/system-install-packages", line 320, in _apply
    _("Unable to install software.  Error "
TypeError: could not convert string

Local variables in innermost frame:
self: <__main__.SinglePackageInstaller object at 0x962c36c>
args: (<gtk.Button object at 0x9cd6dc4 (GtkButton at 0x92f9a88)>,)
deps: []

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Browse to
http://forge.objectweb.org/project/showfiles.php?group_id=74&release_id=2337
2. Select "tws-community-2.1-1.noarch.rpm" from a browser like Firebox which
will invoke rpm installer
3. Apply
  
Actual results:
Install fails with error copied into Description


Expected results:
Successful install

Additional info:

Comment 1 Jeremy Katz 2008-03-10 15:47:06 UTC
What version of the pirut package do you have installed and what locale are you
running with?

Comment 2 David Filiatrault 2008-03-26 02:57:43 UTC
pirut v1.3.28-1.fc8.noarch
locale=US
FYI, using the "fedora-8-i386" vmware appliance from
http://www.vmware.com/appliances/directory/1139

Comment 3 Jeremy Katz 2008-05-28 19:40:28 UTC
This is a problem with the image as distributed by VMWare; you'll have to have
them fix their image.


Note You need to log in before you can comment on or make changes to this bug.